# JavaResolutionConsistency

@Incubating
interface JavaResolutionConsistency

Dependency resolution consistency configuration for the Java derived plugins.

#### Since

6.8

## Functions

useCompileClasspathVersions
Link copied to clipboard
abstract fun useCompileClasspathVersions()
Configures the runtime classpath of every source set to be consistent with the compile classpath.
useRuntimeClasspathVersions
Link copied to clipboard
abstract fun useRuntimeClasspathVersions()
Configures the compile classpath of every source set to be consistent with the runtime classpath.